Skip to main content
POST
Reassign a booking

Headers

cal-api-version
string
default:2026-02-25
required

Must be set to 2026-02-25.

Example:

"2026-02-25"

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

bookingUid
string
required

Body

application/json
userUuid
string<uuid>

UUID of the user to reassign the booking to. Omit it to let Cal.com pick an available round robin host. For a managed event booking, list the eligible users with GET /v2/bookings/{bookingUid}/reassignment-candidates and pass a candidate's uuid.

Example:

"3f2504e0-4f89-41d3-9a0c-0305e82c3301"

reason
string

Reason for reassigning the booking. Only recorded when userUuid is set.

Example:

"Host has to take another call"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required